Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.ast
Interface ErrorReporter

All Known Subinterfaces:
  ParseErrorHandler

All Known Implementing Classes:
  ErrorCounter, HqlSqlWalker, SqlGenerator

    public interface ErrorReporter

Implementations will report or handle errors invoked by an ANTLR base parser.

Author:
  josh

Method Summary
`void` | `reportError(antlr.RecognitionException e)`
`void` | `reportError(String s)`
`void` | `reportWarning(String s)`

Method Detail

### reportError

    void reportError(antlr.RecognitionException e)

### reportError

    void reportError(String s)

### reportWarning

    void reportWarning(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.